Bug 1294216 - Review Request: xcape - Use a modifier key as a different key when quickly pressed and released
Review Request: xcape - Use a modifier key as a different key when quickly pr...
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-25 08:37 EST by Dhiru Kholia
Modified: 2017-04-17 03:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dhiru Kholia 2015-12-25 08:37:09 EST
Spec URL: https://fedorapeople.org/~halfie/packages/xcape/xcape.spec
SRPM URL: https://fedorapeople.org/~halfie/packages/xcape/xcape-1.1-1.fc24.src.rpm
Description: xcape allows you to use a modifier key as another key when pressed and released on its own. Note that it is slightly slower than pressing the original key, because the pressed event does not occur until the key is released. The default behavior is to generate the Escape key when Left Control is pressed and released on its own.
Fedora Account System Username: halfie

An earlier attempt to package xcape has become "stuck (https://bugzilla.redhat.com/show_bug.cgi?id=1052323).
Comment 1 Parag AN(पराग) 2015-12-25 09:01:26 EST
Hi Dhiru,
   You should first post comment on previous review that if that submitter is still willing to continue to submit that package. If he is willing then maybe you can review it and have this package in Fedora.
   We have https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews#Submitter_not_responding policy. You need to check if submitter is not responding and then mark that FE-DEADREVIEW and close it.
Comment 2 Mario Blättermann 2016-07-19 03:46:56 EDT
According to the source file, the license is GPLv3+.
Please add README.md to %doc and LICENSE to %license in %files.
Comment 3 Parag AN(पराग) 2016-12-17 06:22:36 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Suggestions:
1) rpmlint output showed
xcape.src: W: strange-permission xcape-1.1.tar.gz 640
==> use the source file permissions as 664

xcape-debuginfo.x86_64: E: debuginfo-without-sources
==> This will be fixed if compiler flags are used while compilation

2) License tag should be GPLv3+ as there is wording of "(or any later version)

3) BuildRequires: gcc should be added as its now recommended to add all the BuildRequires: for a package to build.

4) Compiler flags while compilation are not followed. Just add this line at the beginning to %build section

export CFLAGS="%{optflags}"

5) Latest upstream release is 1.2 version. Submit updated package.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 4 files have
     unknown license. Detailed output of licensecheck in
     /home/parag/1294216-xcape/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[!]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in xcape-
     debuginfo
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: xcape-1.1-1.fc26.x86_64.rpm
          xcape-debuginfo-1.1-1.fc26.x86_64.rpm
          xcape-1.1-1.fc26.src.rpm
xcape-debuginfo.x86_64: E: debuginfo-without-sources
xcape.src: W: strange-permission xcape-1.1.tar.gz 640
3 packages and 0 specfiles checked; 1 errors, 1 warnings.




Rpmlint (debuginfo)
-------------------
Checking: xcape-debuginfo-1.1-1.fc26.x86_64.rpm
xcape-debuginfo.x86_64: E: debuginfo-without-sources
1 packages and 0 specfiles checked; 1 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
xcape-debuginfo.x86_64: E: debuginfo-without-sources
2 packages and 0 specfiles checked; 1 errors, 0 warnings.



Requires
--------
xcape (rpmlib, GLIBC filtered):
    libX11.so.6()(64bit)
    libXtst.so.6()(64bit)
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)

xcape-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
xcape:
    xcape
    xcape(x86-64)

xcape-debuginfo:
    xcape-debuginfo
    xcape-debuginfo(x86-64)



Source checksums
----------------
https://github.com/alols/xcape/archive/v1.1.tar.gz#/xcape-1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 69ae927a6b2b1268a809b9c3af7c4f94584458f022beb6e2ca3e6bc3ba8a6d4a
  CHECKSUM(SHA256) upstream package : 69ae927a6b2b1268a809b9c3af7c4f94584458f022beb6e2ca3e6bc3ba8a6d4a


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1294216 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Comment 4 Parag AN(पराग) 2017-04-17 03:44:29 EDT
Sorry I am just clearing bug tracker to give preference to priority bugs.

Note You need to log in before you can comment on or make changes to this bug.